#
# spec file for package perl-DBI
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DBI
Version:        1.628
Release:        7.20
%define cpan_name DBI
Summary:        Database independent interface for Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBI/
Source:         http://www.cpan.org/authors/id/T/TI/TIMB/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Simple) >= 0.90
#BuildRequires: perl(AnyEvent)
#BuildRequires: perl(Apache)
#BuildRequires: perl(Apache2::ServerUtil)
#BuildRequires: perl(Cache::Memory)
#BuildRequires: perl(Clone)
#BuildRequires: perl(Coro)
#BuildRequires: perl(Coro::Handle)
#BuildRequires: perl(Coro::Select)
#BuildRequires: perl(Data::Peek)
#BuildRequires: perl(DBD::DBM)
#BuildRequires: perl(DBD::File)
#BuildRequires: perl(DBD::Gofer::Policy::Base)
#BuildRequires: perl(DBD::Gofer::Transport::Base)
#BuildRequires: perl(DBD::Gofer::Transport::pipeone)
#BuildRequires: perl(DBD::Gofer::Transport::stream)
#BuildRequires: perl(DBD::Proxy)
#BuildRequires: perl(DBI)
#BuildRequires: perl(DBI::Const::GetInfo::ANSI)
#BuildRequires: perl(DBI::Const::GetInfo::ODBC)
#BuildRequires: perl(DBI::Const::GetInfoType)
#BuildRequires: perl(DBI::db)
#BuildRequires: perl(DBI::DBD)
#BuildRequires: perl(DBI::DBD::SqlEngine)
#BuildRequires: perl(DBI::Gofer::Execute)
#BuildRequires: perl(DBI::Gofer::Request)
#BuildRequires: perl(DBI::Gofer::Response)
#BuildRequires: perl(DBI::Gofer::Serializer::Base)
#BuildRequires: perl(DBI::Gofer::Serializer::DataDumper)
#BuildRequires: perl(DBI::Gofer::Serializer::Storable)
#BuildRequires: perl(DBI::Gofer::Transport::Base)
#BuildRequires: perl(DBI::Gofer::Transport::pipeone)
#BuildRequires: perl(DBI::Profile)
#BuildRequires: perl(DBI::ProfileDumper)
#BuildRequires: perl(DBI::ProfileSubs)
#BuildRequires: perl(DBI::ProxyServer)
#BuildRequires: perl(DBI::PurePerl)
#BuildRequires: perl(DBI::SQL::Nano)
#BuildRequires: perl(DBI::st)
#BuildRequires: perl(DBI::Util::_accessor)
#BuildRequires: perl(DBI::Util::CacheMemory)
#BuildRequires: perl(DBIx::ContextualFetch)
#BuildRequires: perl(Devel::Leak)
#BuildRequires: perl(JSON::XS)
#BuildRequires: perl(List::MoreUtils)
#BuildRequires: perl(MLDBM::Serializer::JSON)
#BuildRequires: perl(MLDBM::Serializer::YAML)
#BuildRequires: perl(My::DBI)
#BuildRequires: perl(Net::Daemon::Test)
#BuildRequires: perl(Params::Util)
#BuildRequires: perl(RPC::PlClient) >= 0.2000
#BuildRequires: perl(RPC::PlServer) >= 0.2001
#BuildRequires: perl(SQL::Statement)
#BuildRequires: perl(Win32API::File)
#BuildRequires: perl(Win32::ODBC)
Recommends:     perl(Clone) >= 0.34
Recommends:     perl(MLDBM)
Recommends:     perl(Net::Daemon)
Recommends:     perl(RPC::PlServer) >= 0.2001
Recommends:     perl(SQL::Statement) >= 1.402
%{perl_requires}

%description
The DBI is a database access module for the Perl programming language. It
defines a set of methods, variables, and conventions that provide a
consistent database interface, independent of the actual database being
used.

It is important to remember that the DBI is just an interface. The DBI is a
layer of "glue" between an application and one or more database _driver_
modules. It is the driver modules which do most of the real work. The DBI
provides a standard interface and framework for the drivers to operate
within.

This document often uses terms like _references_, _objects_, _methods_. If
you're not familiar with those terms then it would be a good idea to read
at least the following perl manuals first: the perlreftut manpage, the
perldsc manpage, the perllol manpage, and the perlboot manpage.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Driver.xst README.md

%changelog
* Tue Jul 30 2013 coolo@suse.com
- updated to 1.628
    Fixed missing fields on partial insert via DBI::DBD::SqlEngine
    engines (DBD::CSV, DBD::DBM etc.) [H.Merijn Brand, Jens Rehsack]
    Fixed stack corruption on callbacks RT#85562 RT#84974 [Aaron Schweiger]
    Fixed DBI::SQL::Nano_::Statement handling of "0" [Jens Rehsack]
    Fixed exit op precedence in test RT#87029 [Reni Urban]
    Added support for finding tables in multiple directories
    via new DBD::File f_dir_search attribute [H.Merijn Brand]
    Enable compiling by C++ RT#84285 [Kurt Jaeger]
    Typo fixes in pod and comment [David Steinbrunner]
    Change DBI's docs to refer to git not svn [H.Merijn Brand]
    Clarify bind_col TYPE attribute is sticky [Martin J. Evans]
    Fixed reference to $sth in selectall_arrayref docs RT#84873
    Spelling fixes [Ville Skytt344]
    Changed $VERSIONs to hardcoded strings [H.Merijn Brand]
* Sun Jun 16 2013 coolo@suse.com
- updated to 1.627
  Fixed VERSION regression in DBI::SQL::Nano [Tim Bunce]
  Fixed pod text/link was reversed in a few cases RT#85168
  Handle aliasing of STORE'd attributes in DBI::DBD::SqlEngine
  Updated repository URI to git [Jens Rehsack]
  Fixed skip() count arg in t/48dbi_dbd_sqlengine.t [Tim Bunce]
  Fixed heap-use-after-free during global destruction RT#75614
    thanks to Reini Urban.
  Fixed ignoring RootClass attribute during connect() by
    DBI::DBD::SqlEngine reported in RT#84260 by Michael Schout
  Fixed Gofer for hash randomization in perl 5.17.10+ RT#84146
  Clarify docs for can() re RT#83207
  Fixed RT#64330 - ping wipes out errstr (Martin J. Evans).
  Fixed RT#75868 - DBD::Proxy shouldn't call connected() on the server.
  Fixed RT#80474 - segfault in DESTROY with threads.
  Fixed RT#81516 - Test failures due to hash randomisation in perl 5.17.6
    thanks to Jens Rehsack and H.Merijn Brand and feedback on IRC
  Fixed RT#81724 - Handle copy-on-write scalars (sprout)
  Fixed unused variable / self-assignment compiler warnings.
  Fixed default table_info in DBI::DBD::SqlEngine which passed NAMES
    attribute instead of NAME to DBD::Sponge RT72343 (Martin J. Evans)
  Corrected a spelling error thanks to Chris Sanders.
  Corrected typo in DBI->installed_versions docs RT#78825
    thanks to Jan Dubois.
  Refactored table meta information management from DBD::File into
    DBI::DBD::SqlEngine (H.Merijn Brand, Jens Rehsack)
  Prevent undefined f_dir being used in opendir (H.Merijn Brand)
  Added logic to force destruction of children before parents
    during global destruction. See RT#75614.
  Added DBD::File Plugin-Support for table names and data sources
    (Jens Rehsack, #dbi Team)
  Added new tests to 08keeperr for RT#64330
* Tue Jan 31 2012 vcizek@suse.com
- update to 1.617
  * Fixed ParamTypes example in the pod (Martin J. Evans)
  * Fixed the definition of ArrayTupleStatus and remove confusion over
    rows affected in list context of execute_array (Martin J. Evans)
  * Fixed sql_type_cast example and typo in errors (Martin J. Evans)
  * Fixed Gofer error handling for keeperr methods like ping (Tim Bunce)
  * Fixed $dbh->clone({}) RT73250 (Tim Bunce)
  * Fixed is_nested_call logic error RT73118 (Reini Urban)
  * Enhanced performance for threaded perls (Dave Mitchell, Tim Bunce)
  * Enhanced and standardized driver trace level mechanism (Tim Bunce)
  * Removed old code that was an inneffective attempt to detect
    people doing DBI->{Attrib}.
  * Clear ParamValues on bind_param param count error RT66127 (Tim Bunce)
  * Changed DBI::ProxyServer to require DBI at compile-time RT62672 (Tim Bunce)
  * Added pod for default_user to DBI::DBD (Martin J. Evans)
  * Added CON, ENC and DBD trace flags and extended 09trace.t (Martin J. Evans)
  * Added TXN trace flags and applied CON and TXN to relevant methods (Tim Bunce)
  * Added some more fetchall_arrayref(..., $maxrows) tests (Tim Bunce)
  * Clarified docs for fetchall_arrayref called on an inactive handle.
  * Clarified docs for clone method (Tim Bunce)
  * Added note to DBI::Profile about async queries (Marcel Grunauer).
  * Reserved spatialite_ as a driver prefix for DBD::Spatialite
  * Reserved mo_ as a driver prefix for DBD::MO
  * Updated link to the SQL Reunion 95 docs, RT69577 (Ash Daminato)
  * Changed links for DBI recipes. RT73286 (Martin J. Evans)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Jan  7 2011 vcizek@novell.com
- update to 1.616
  * Fixed RT#61513 by catching attribute assignment to tied table access
    interface (Jens Rehsack)
  * Fixed compiler warnings RT#62640
  * Optimized connect() to remove redundant FETCH of \%%attrib values.
  Improved initialization phases in DBI::DBD::SqlEngine (Jens Rehsack)
  * Added DBD::Gofer::Transport::corostream. An experimental proof-of-concept
    transport that enables asynchronous database calls with few code changes.
    It enables asynchronous use of DBI frameworks like DBIx::Class.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Nov 30 2010 coolo@novell.com
- do not use recommends on fedora
* Thu Sep 30 2010 anicka@suse.cz
- update to 1.615
  * bugfixes
* Tue Sep 21 2010 anicka@suse.cz
- update to 1.614
  * Added $h->{AutoInactiveDestroy} as simpler safer form of
  $h->{InactiveDestroy}
  * Added ability for parallel testing "prove -j4 ..."
  * Added tests for delete in DBM
  * Added test for absolute filename as table to 51dbm_file
  * Added two initialization phases to DBI::DBD::SqlEngine
  * Added improved developers documentation for DBI::DBD::SqlEngine
  * Added guides how to write DBI drivers using DBI::DBD::SqlEngine
  or DBD::File
  * Added register_compat_map() and table_meta_attr_changed() to
  DBD::File::Table
  * bugfixes, test fixes
* Fri Aug  6 2010 chris@computersalat.de
- update to 1.613
  o Fixed Win32 prerequisite module from PathTools to File::Spec.
  o Changed attribute headings and fixed references in DBI pod (Martin J. Evans)
  o Corrected typos in DBI::FAQ and DBI::ProxyServer (Ansgar Burchardt)
* Tue Jul 20 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
* Mon Jul 19 2010 anicka@suse.cz
- update to 1.612
  * Changed Makefile.PL to modernize with CONFLICTS, recommended
  dependencies and resources (Jens Rehsack)
  * Changed DBI::ProfileDumper to rename any existing profile file by
    appending .prev, instead of overwriting it.
  * Changed DBI::ProfileDumper::Apache to work in more configurations
    including vhosts using PerlOptions +Parent.
  * Add driver_prefix method to DBI (Jens Rehsack)
  * bugfixes, test fixes
* Wed Jun  2 2010 chris@computersalat.de
- update to 1.611
  * Fixed selectcol_arrayref MaxRows attribute to count rows not values
    thanks to Vernon Lyon.
  * Fixed DBI->trace(0, *STDERR); (H.Merijn Brand)
    which tried to open a file named "*main::STDERR" in perl-5.10.x
  * Fixes in DBD::DBM for use under threads (Jens Rehsack)
  * Changed "Issuing rollback() due to DESTROY without explicit disconnect"
    warning to not be issued if ReadOnly set for that dbh.
  * Added f_lock and f_encoding support to DBD::File (H.Merijn Brand)
  * Added ChildCallbacks => { ... } to Callbacks as a way to
    specify Callbacks for child handles.
    With tests added by David E. Wheeler.
  * Added DBI::sql_type_cast($value, $type, $flags) to cast a string value
    to an SQL type. e.g. SQL_INTEGER effectively does $value += 0;
    Has other options plus an internal interface for drivers.
- recreated spec by cpanspec 1.78
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Oct 13 2009 chris@computersalat.de
- cleanup spec
  o removed some obsolete defines
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Mon Jun 15 2009 chris@computersalat.de
- update to 1.609
  * Fixes to DBD::File (H.Merijn Brand)
    added f_schema attribute
    table names case sensitive when quoted, insensitive when unquoted
    workaround a bug in SQL::Statement (temporary fix) related
    to the "You passed x parameters where y required" error
  * Added ImplementorClass and Name info to the "Issuing rollback() due to
    DESTROY without explicit disconnect" warning to identify the handle.
    Applies to compiled drivers when they are recompiled.
  * Added DBI->visit_handles($coderef) method.
  * Added $h->visit_child_handles($coderef) method.
  * Added docs for column_info()'s COLUMN_DEF value.
  * Clarified docs on stickyness of data type via bind_param().
  * Clarified docs on stickyness of data type via bind_col().
- some spec mods
* Mon May 18 2009 anicka@suse.cz
- update to 1.608
  * Fixes to DBD::File (H.Merijn Brand)
    bind_param () now honors the attribute argument
    added f_ext attribute
    File::Spec is always required. (CORE since 5.00405)
    Fail and set errstr on parameter count mismatch in execute ()
  * Fixed two small memory leaks when running in mod_perl
    one in DBI->connect and one in DBI::Gofer::Execute.
    Both due to "local $ENV{...};" leaking memory.
  * Fixed DBD_ATTRIB_DELETE macro for driver authors
    and updated DBI::DBD docs thanks to Martin J. Evans.
  * Fixed 64bit issues in trace messages thanks to Charles Jardine.
  * Fixed FETCH_many() method to work with drivers that incorrectly
  return an empty list from $h->FETCH. Affected gofer.
  * Added 'sqlite_' as registered prefix for DBD::SQLite.
  * Corrected many typos in DBI docs thanks to Martin J. Evans.
  * Improved DBI::DBD docs thanks to H.Merijn Brand.
* Fri Jul 25 2008 anicka@suse.cz
- update to 1.607
  * NOTE: Perl 5.8.1 is now the minimum supported version.
  * Fixed missing import of carp in DBI::Gofer::Execute.
  * Added note to docs about effect of execute(@empty_array).
  * Clarified docs for ReadOnly thanks to Martin Evans.
* Fri Jun 27 2008 anicka@suse.cz
- update to 1.605
  * Fixed broken DBIS macro with threads on big-endian machines
    with 64bit ints but 32bit pointers.
  * Fixed the selectall_arrayref, selectrow_arrayref, and
    selectrow_array methods that get embedded into compiled drivers
    to use the inner sth handle when passed a $sth instead of an
    sql string. Drivers will need to be recompiled to pick up
    this change.
  * Fixed leak in neat() for some kinds of values
  * Fixed DBI::PurePerl neat() to behave more like XS neat().
  * Increased default $DBI::neat_maxlen from 400 to 1000.
  * Increased timeout on tests to accomodate very slow systems.
  * other minor improvements and fixes
  - remove -dbis patch (fixed in upstream)
* Wed Mar 26 2008 anicka@suse.cz
- update to 1.604
  * Fixed fetchall_arrayref with $max_rows argument broken
  in 1.603
* Mon Mar 24 2008 anicka@suse.cz
- update to 1.603
  * Fixed pure-perl fetchall_arrayref with $max_rows argument
    to not error when fetching after all rows already fetched.
  * Fixed C sprintf formats and casts, fixing compiler warnings.
  * Changed dbi_profile() to accept a hash of profiles
    and apply to all.
  * Changed gofer stream transport to improve error reporting.
  * Changed gofer test timeout to avoid spurious failures
    on slow systems.
  * Added options to t/85gofer.t so it's more useful for
    manual testing.
* Thu Feb 21 2008 anicka@suse.cz
- update to 1.602
  * bugfixes
  * test and documentation enhancements
* Thu Nov  1 2007 anicka@suse.cz
- update to 1.601
  * Fixed t/05thrclone.t to work with Test::More >= 0.71
  * Fixed DBI for VMS thanks to Peter (Stig) Edwards.
  * Added client-side caching to DBD::Gofer.
  * Added DBI::Util::CacheMemory for use with DBD::Gofer caching.
* Mon Oct  8 2007 anicka@suse.cz
- update to 1.59
  * Added check_response_sub to DBI::Gofer::Execute
  * bugfixes. test fixes
* Tue Jul  3 2007 anicka@suse.cz
- update to 1.58
  * Fixed code triggering fatal error in bleadperl
  * Fixed compiler warning
  * values than before *if* your perl was built with 64-bit
  'int' type (i.e. "perl -V:intsize" says intsize='8').
  * Fixed XS versions of select*_*() methods to call execute()
  fetch() etc., with inner handle instead of outer.
  * Fixed execute_for_fetch() to not cache errstr values
  * Fixed unused var compiler warning thanks to JDHEDDEN.
  * Changed DBI::hash to return 'I32' type instead of 'int' so results
  are portable/consistent regardless of size of the int type.
  * test fixes, added documenttion
* Mon Jun 11 2007 anicka@suse.cz
- update to 1.56
  * bugfixes, documentation fixes, test fixes
  * Added DBI_GOFER_RANDOM env var that can be use to trigger random
  failures and delays when executing gofer requests.
  * Added more functionality to the (undocumented) Callback mechanism.
  * Added $h->{ReadOnly} attribute.
  * Added support for DBI Profile Path to contain refs to scalars
  which will be de-ref'd for each profile sample.
  * Added dbilogstrip utility to edit DBI logs for diff'ing (gets installed)
  * Added details for SQLite 3.3 to NULL handling docs thanks to Alex Teslik.
  * Added take_imp_data() to DBI::PurePerl.
  * many gofer related changes
* Mon Feb 26 2007 anicka@suse.cz
- update to 1.54
  * Added new DBD::Gofer 'stateless proxy' driver and framework,
  * and the DBI test suite is now also executed via DBD::Gofer,
  * and DBD::Gofer+DBI::PurePerl, in addition to DBI::PurePerl.
  * Added ability for trace() to support filehandle argument,
  * including tracing into a string, thanks to Dean Arnold.
  * Added ability for drivers to implement func() method
  * so proxy drivers can proxy the func method itself.
  * Added SQL_BIGINT type code
  * Added $h->private_attribute_info method.
* Wed Dec 13 2006 anicka@suse.cz
- update to 1.53
  * Fixed checks for weaken to work with early 5.8.x versions
  * Fixed DBD::Proxy handling of some methods, including commit
    and rollback.
  * Fixed to be more robust against drivers not handling multiple
    result sets properly.
  * Test fixes.
  * Added array context support to execute_array and
    execute_for_fetch methods which returns executed tuples
    and rows affected.
  * Added Tie::Cache::LRU example to docs
* Wed Sep 13 2006 anicka@suse.cz
- update to 1.52
  * fixed several memory leaks
  * changes and additions to profiling
* Wed Jul 12 2006 anicka@suse.cz
- update to 1.51
  * many bugfixes, see upstream changelog
* Mon Mar 27 2006 mls@suse.de
- set DBIS in a way compatible to the header file, fixes
  use64bit issue [#155067]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 1.50
* Mon Aug  1 2005 cthiel@suse.de
- update to version 1.48
* Tue Jul 26 2005 anicka@suse.cz
- add perl-PlRPC to Requires
* Thu Feb 17 2005 mjancar@suse.cz
- update to 1.47
* Fri Aug  6 2004 mjancar@suse.cz
- update to 1.43
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.41
* Tue Oct 21 2003 mjancar@suse.cz
- update to 1.38
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Thu Jun  5 2003 mjancar@suse.cz
- fix test failing on 64bit architectures
* Wed Jun  4 2003 mjancar@suse.cz
- update to 1.37
  * Changed execute_array() return value from row
    count to executed tuple count, and now the
    ArrayTupleStatus attribute is mandatory.
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Dec 13 2002 prehak@suse.cz
- update to version 1.32
* Tue Jul  9 2002 prehak@suse.cz
- updated to version 1.28
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 rvasice@suse.cz
- update to version 1.20
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 1.19
- spec file cleanup
* Tue Feb 13 2001 cihlar@suse.cz
- bzipped sources
- use %%{version}
- update to version 1.14
- added %%clean
- fixed file list
- added make test
* Tue Nov  7 2000 grimmer@suse.de
- removed BuildRoot path via sed calls in spec file
* Tue Oct 31 2000 grimmer@suse.de
- renamed from perl_dbi to perl-DBI
- added BuildRoot
* Wed Jul  5 2000 grimmer@suse.de
- marked man pages as documentation
- added missing man pages from section 1
- added Group tag
- added "Provides: DBI"
* Wed May 24 2000 ug@suse.de
- added to distribution
